<template>
  <b-container>
    <div>
      <b-card class="card">
        <b-card-header class="header">
          <b-card-title class="application">ใบสมัคร</b-card-title>
        </b-card-header>
        <b-card-body>
          <div>
            <b-table
              hover
              bordered
              :items="declareList"
              :fields="fields"
              class="table"
            >
              <template v-slot:cell(operation)="">
                <b-button variant="info">รายการผู้สมัคร</b-button>
              </template>
            </b-table>
          </div>
        </b-card-body>
      </b-card>
    </div>
  </b-container>
</template>

<script>
import declareService from '../Service/declarList'
import currentCompany from '../Service/company'
import Application from '../Service/application'
// import application from 'express'
export default {
  data () {
    return {
      declareList: [{ key: 'countApplication', text: '2' }],
      fields: [
        { key: 'id', label: 'ลำดับ' },
        { key: 'position.positionName', label: 'ตำแหน่ง' },
        { key: 'countApplication', label: 'จำนวนใบผู้สมัคร', value: 2 },
        { key: 'operation', label: 'ดูรายชื่อผู้สมัคร' }
      ]
    }
  },
  methods: {
    getDeclares () {
      this.declareList = declareService.getDeclares(1)
    },
    // getDaclare () {
    //   var company = currentCompany.getcompany(1)
    //   this.declareList = declareService.getDeclareList(company)
    //   console.log(this.declareList)
    // },
    getApplications () {
      var application = Application.getApplications(1)
      this.declareList = Application.getApplications(application)
    },
    getDeclareList () {
      var company = currentCompany.getcompany(1)
      this.declareList = declareService.getDeclareList(company)
      console.log(this.declareList)
    }
  },
  mounted () {
    this.getApplications()
    // this.getDaclare()
    this.getDeclareList()
  }
}
</script>

<style scoped>
@import '../css/Application.css';
</style>
